Loading...
Searching...
No Matches
dolfin::Vertex Class Reference

A Vertex is a MeshEntity of topological dimension 0. More...

`#include <Vertex.h>`

Inheritance diagram for dolfin::Vertex:
[legend]
Collaboration diagram for dolfin::Vertex:
[legend]

## Public Member Functions

| Vertex (const Mesh &mesh, std::size_t index)
| Create vertex on given mesh.
| Vertex (MeshEntity &entity)
| Create vertex from mesh entity.
| ~Vertex ()
| Destructor.
double | x (std::size_t i) const
| Return value of vertex coordinate i.
Point | point () const
| Return vertex coordinates as a 3D point value.
const double * | x () const
| Return array of vertex coordinates (const version).
Public Member Functions inherited from dolfin::MeshEntity
| MeshEntity ()
| Default Constructor.
| MeshEntity (const Mesh &mesh, std::size_t dim, std::size_t index)
virtual | ~MeshEntity ()
| Destructor.
void | init (const Mesh &mesh, std::size_t dim, std::size_t index)
bool | operator== (const MeshEntity &e) const
bool | operator!= (const MeshEntity &e) const
const Mesh & | mesh () const
std::size_t | dim () const
std::size_t | index () const
std::int64_t | global_index () const
std::size_t | num_entities (std::size_t dim) const
std::size_t | num_global_entities (std::size_t dim) const
const unsigned int * | entities (std::size_t dim) const
std::size_t | mesh_id () const
bool | incident (const MeshEntity &entity) const
std::size_t | index (const MeshEntity &entity) const
Point | midpoint () const
bool | is_ghost () const
std::set< unsigned int > | sharing_processes () const
bool | is_shared () const
unsigned int | owner () const
std::string | str (bool verbose) const

## Additional Inherited Members

Protected Attributes inherited from dolfin::MeshEntity
Mesh const * | _mesh
std::size_t | _dim
std::size_t | _local_index

## Detailed Description

A Vertex is a MeshEntity of topological dimension 0.

The documentation for this class was generated from the following file:

- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/mesh/Vertex.h